Subject: Re: Compile Problems

From: [email-masked] (Stan Brockman)
Date: Wed, 15 Mar 1995 13:28:47 +0700

According to Answerbook, the ar command provides the functionality of
ranlib, which does not exist in Solaris 2.3.  Another part of the
Answerbook states that ranlib has been unbundled, suggesting that if
you have SUN's unbundled compiler you might have access to ranlib in
that way. Unfortunately, I see the compiler of choice is gcc.

I have seen touch used to update the date of the archive to avoid a
"archive out of date" (or words to that effect) message. Otherwise
perhaps ar(1) with its many options may be the answer.

    Stan

sb: From [email-masked] Wed Mar 15 12:57 MST 1995
sb: Date: Wed, 15 Mar 1995 20:42:22 +0200 (METDST)
sb: From: Maarten Boekhold <[email-masked]>
sb: To: [email-masked]
sb: Subject: Re: Compile Problems
sb: Mime-Version: 1.0
sb: Content-Transfer-Encoding: 7BIT
sb: X-Listprocessor-Version: 7.1 -- ListProcessor by CREN
sb: 
sb: On Tue, 14 Mar 1995 [email-masked] wrote:
sb: 
sb: > [I just started reading this list, and the first articles I see may be the
sb: > remains of
sb: > a thread which poses the same question.  Sorry if this is repetitious.]
sb: > 
sb: > I am trying to compile version 2.4 under Solaris 2.3.  The individual files 
sb: > compile without error, but in response to the linking phase of
sb: > 
sb: > gcc -g -DEBUG -I.. -I../support -L../support -o eachmodule (a bunch of .o
sb: > files) -lsupport -lsocket -lnsl -lgen
sb: > 
sb: > I get 
sb: > 
sb: > ld:elf error file ../support/libsupport.a: unable to locate archive symbol table
sb: > Request error: offset out of range
sb: > 
sb: > Is my response unique, or have others seen this one.
sb: 
sb: I had the same messages, well not exactly the same, but it came down to 
sb: it. I had to change teh makefile in support/. It says: RANLIB = touch. 
sb: Just change this in RANLIB-ranlib and you should be OK.
sb: 
sb: Maarten
sb: 
sb: _____________________________________________________________________________
sb: |    Maarten Boekhold, Faculty of Electronical Engineering TU Delft,  NL    |
sb: |        [email-masked]      [email-masked]         |
sb: |          <a href="http://morra.et.tudelft.nl/~boekhold">me</a>            | 
sb: -----------------------------------------------------------------------------
sb: